import request from '../../utils/request'

/**
 * 获取岗位分页列表
 */
export function getPostPage(data) {
  return request({
    url: '/User/GetPostPageList',
    method: 'post',
    data
  });
}

/**
 * 获取岗位列表
 */
export function getPostList(data) {
  return request({
    url: '/User/GetPostList',
    method: 'post',
    data
  });
}



/**
 * 新增修改岗位信息
 */
export function savePostInfo(data) {
  return request({
    url: '/User/SetPost',
    method: 'post',
    data
  });
}

/**
 * 获取岗位信息
 */
export function getPostInfo(data) {
  return request({
    url: '/User/GetPost',
    method: 'post',
    data
  });
}

/**
 * 设置岗位状态
 */
export function setPostStatusInfo(data) {
  return request({
    url: '/User/RemovePost',
    method: 'post',
    data
  });
}
